@echo off

set TARGET=Test

REM --------------------------------------------------------------------------

\masm32\bin\ml /nologo /c /coff %TARGET%.asm
if errorlevel 1 goto error_obj

\masm32\bin\link /nologo /subsystem:console /stack:32768,32768 /out:%TARGET%.exe %TARGET%.obj
if errorlevel 1 goto error_link

goto final

REM --------------------------------------------------------------------------
:error_obj

echo.
echo ----- ML: Error building file: %TARGET%.asm
echo.
goto final

REM --------------------------------------------------------------------------
:error_link

echo.
echo ----- LINK: Error linking files: %TARGET%.obj
echo.
goto final

REM --------------------------------------------------------------------------
:final
echo.
